# -*- coding: utf-8 -*-
# ------------------------------------------------------------------------------
#
#   Copyright 2018-2021 Fetch.AI Limited
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.
#
# ------------------------------------------------------------------------------

"""REST example of query balance."""

from cosmpy.bank.rest_client import BankRestClient, QueryBalanceRequest
from cosmpy.common.rest_client import RestClient

REST_URL = "http://127.0.0.1:1317"
ADDRESS = "fetch128r83uvcxns82535d3da5wmfvhc2e5mut922dw"
DENOM = "atestfet"

bank = BankRestClient(RestClient(REST_URL))
res = bank.Balance(QueryBalanceRequest(address=ADDRESS, denom=DENOM))
print(f"Balance of {ADDRESS} is {res.balance.amount} {res.balance.denom}")
